% **************************************************************************** %
% Author: Lambert Theisen
% => lambert.theisen@rwth-aachen.de
% => lambert.theisen@gmail.com
% Created: January 2019
% **************************************************************************** %



% **************************************************************************** %
% FIGURES AND GRAPHICS
% **************************************************************************** %
% => trim with 'magick.exe test.png -trim test.png'
%   -> https://www.imagemagick.org
% **************************************************************************** %

  % -------------------------------------------------------------------------- %
  % GRAPHICAL FIGURES WITH TIKZ
  % -------------------------------------------------------------------------- %
  % Use standalone to be able to compile tikz images separately:
  % => \documentclass[tikz]{standalone}\usepackage{tikz}\begin{document} (...)
  % => \includestandalone[]{figs/tikz/stirrer_sketch} % not working, shifted
  % -------------------------------------------------------------------------- %
    \usepackage{tikz}
    \usetikzlibrary{shapes,arrows,positioning,calc,fit,angles,quotes,3d,patterns,fadings,math}
    \usetikzlibrary{spy}
    \usepackage[
      % mode=buildnew,
    ]{standalone}

    % SCALE TIKZ WITHOUT TEXTSIZE AND LINE-WIDTHS
    \usepackage{tikzscale}

    % % TIKZ EXTERNALIZE.
    % % - Needs shell-escape and does not work somehow
    % \usetikzlibrary{external}
    % % Activate it
    % \tikzexternalize
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % MATHEMATICAL PLOTS USING PGFPLOTS
  % -------------------------------------------------------------------------- %
    \usepackage{pgfplots}
    \usepackage{pgfplotstable}
    \pgfplotsset{compat=1.15}
    \usepgfplotslibrary{dateplot,groupplots}
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % IMAGES
  % -------------------------------------------------------------------------- %
    \usepackage{graphicx}
  % -------------------------------------------------------------------------- %

% **************************************************************************** %


% **************************************************************************** %
% ANIMATIONS
% **************************************************************************** %
  \usepackage[
    % method=ocg, % alternative widget mode
  ]{animate}
% **************************************************************************** %


% **************************************************************************** %
% SUBFILES
% -> Good for separate file compilation. But too complicated to use with
% relative paths in main file
% **************************************************************************** %
  % \usepackage{subfiles}
% **************************************************************************** %